Bug 1418534 - Error: Unable to retrieve attachment information Edit
Summary: Error: Unable to retrieve attachment information Edit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Radomir Dopieralski
QA Contact: Beth White
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 03:05 UTC by Andreas Karis
Modified: 2020-03-11 15:43 UTC (History)
6 users (show)

Fixed In Version: python-django-horizon-13.0.0-0.20180123104755.5ccfe81.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:29:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1402915 None None None 2017-02-02 03:05:30 UTC
OpenStack gerrit 143815 None MERGED Display attachment's server_id when name is no longer available 2020-04-21 02:29:28 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:31:13 UTC

Description Andreas Karis 2017-02-02 03:05:31 UTC
Description of problem:
Bug description:
In the view of "Volumes", provided that some volume whose status is "in-use" or it is being attached to a VM. If the associated VM is deleted, this will trigger the detaching of the volume. If the volume detaching process is failed by whatever reason, then the volume becomes attached to an already-deleted VM.
If now, we try retrieving the volume info with Horizon dashboard then we will get the error of "Unable to retrieve attachment information".

https://bugs.launchpad.net/horizon/+bug/1402915

Comment 6 Radomir Dopieralski 2017-12-19 11:30:39 UTC
The upstream patch is merged.

Comment 9 errata-xmlrpc 2018-06-27 13:29:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.